Subject: PLEASE HELP: problem compiling CygWin B20
From: [email-masked] (Jorrit Tyberghein)

30 Nov 1998 18:51:53 -0800
Message-ID: <[email-masked]>
Mime-Version: 1.0
Content-Type: text/plain; charset=us-ascii
Content-Transfer-Encoding: 7bit
To: [email-masked]

Hi, I asked this question before but I got no answers. Can you please
help me compiling CygWin B20? I'm using NT 4.0 SP3.

I have downloaded the tools and sdk for B20 and I also downloaded
the source. First I do ./configure which takes a VERY VERY long time
but seems to work very well otherwise.

Then I do 'make' which also seems to go on for a good while but then
I get the following errors:

Making all in po
make[3]: Nothing to be done for `all'.
make[1]: Nothing to be done for `all'.
make[1]: Nothing to be done for `all'.
gcc -c -I. -I. -g -O2 parse.c
../parse.y:91: parse error before `{'
../parse.y:91: stray '\' in program
../parse.y:92: stray '\' in program
../parse.y:93: stray '\' in program
../parse.y:94: stray '\' in program
../parse.y:95: stray '\' in program
bison.simple:78: parse error before `do'
bison.simple:78: stray '\' in program
bison.simple:79: stray '\' in program
bison.simple:80: stray '\' in program
bison.simple:81: `yychar' undeclared here (not in a function)
bison.simple:81: `yychar' undeclared here (not in a function)
bison.simple:81: warning: data definition has no type or storage class
bison.simple:81: stray '\' in program
bison.simple:82: warning: data definition has no type or storage class
bison.simple:82: stray '\' in program
bison.simple:83: parse error before `goto'
bison.simple:83: stray '\' in program
bison.simple:84: stray '\' in program
bison.simple:85: stray '\' in program
bison.simple:86: stray '\' in program
bison.simple: In function `yyparse':
bison.simple:268: `yychar' undeclared (first use in this function)
bison.simple:268: (Each undeclared identifier is reported only once
bison.simple:268: for each function it appears in.)
../parse.y:742: stray '\' in program
../parse.y:743: stray '\' in program
../parse.y:744: stray '\' in program
../parse.y:745: stray '\' in program
../parse.y:746: stray '\' in program
../parse.y:747: stray '\' in program
../parse.y:748: stray '\' in program
../parse.y:749: stray '\' in program
../parse.y:750: stray '\' in program
../parse.y:751: stray '\' in program
../parse.y:754: stray '\' in program
../parse.y:755: parse error before `else'
../parse.y:756: stray '\' in program
../parse.y:758: stray '\' in program
make[1]: *** [parse.o] Error 1
make: *** [all-flex] Error 2
bash-2.02$

Greetings and thanks in advance,

--
==============================================================================
[email-masked], University Hospitals KU Leuven BELGIUM

        The phone line to the saviour's always free of interference
        He's in at any hour, day or night
        And when you call J-E-S-U-S you always call toll-free
        He's the telephone repairman on the switchboard of my life."
==============================================================================

-
For help on using this list (especially unsubscribing), send a message to
"[email-masked]" with one line of text: "help".